Name:          kactivities
Version:       4.13.3
Release:       3mamba
Summary:       KDE Activity Manager
Group:         Graphical Desktop/Libraries/KDE
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           https://projects.kde.org/projects/kde/kdelibs/kactivities
Source:        http://download.kde.org/stable/%{version}/src/kactivities-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: ldconfig
BuildRequires: libQtDeclarative
BuildRequires: libgcc
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Activity Manager:
- Activity Manager
  System service to manage user's activities, track the usage patterns etc.
- KActivities library
  API for using and interacting with the Activity Manager as a consumer,
  application adding information to them or as an activity manager.
- Workspace
  Plugins for KDE workspace to easier integrate activities (KIO, etc.)

%package -n lib%{name}
Group:         System/Libraries
Summary:       User activities manager

%description -n lib%{name}
When a user is interacting with a computer, there are three main areas of contextual information that may affect the behaviour of the system: who the user is, where they are, and what they are doing.
*Activities* deal with the last one. 

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config
Provides:      kactivities-devel
Obsoletes:     kactivities-devel

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde4 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_kde4_bindir}/kactivitymanagerd
%{_kde4_servicesdir}/activitymanager-plugin-*.desktop
%{_kde4_servicesdir}/kactivitymanagerd.desktop
%{_kde4_servicesdir}/kcm_activities.desktop
%{_kde4_servicetypesdir}/activitymanager-plugin.desktop
%{_kde4_sharedir}/ontology/kde/kao.ontology
%{_kde4_sharedir}/ontology/kde/kao.trig
%{_kde4_datadir}/activitymanager/workspace/settings/BlacklistApplicationView.qml

%files -n lib%{name}
%defattr(-,root,root)
%{_kde4_libdir}/libkactivities.so.*
%{_kde4_libdir}/kde4/activitymanager_plugin_*.so
%{_kde4_libdir}/kde4/kcm_activities.so

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde4_includedir}/KDE/KActivities
%{_kde4_includedir}/KDE/KActivities/*
%dir %{_kde4_includedir}/kactivities
%{_kde4_includedir}/kactivities/*
%{_kde4_libdir}/libkactivities.so
%dir %{_kde4_libdir}/cmake/KActivities
%{_kde4_libdir}/cmake/KActivities/*
%{_kde4_libdir}/pkgconfig/libkactivities.pc

%changelog
* Mon Sep 14 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 4.13.3-3mamba
- rebuilt without libnepomuk-core

* Fri Aug 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.13.3-2mamba
- add libkactivities and -devel

* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Sun May 25 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Tue Apr 01 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Thu Jan 16 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Sat Dec 21 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Thu Aug 15 2013 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Tue Jul 02 2013 Automatic Build System <autodist@mambasoft.it> 4.10.5-1mamba
- automatic version update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.4-1mamba
- automatic version update by autodist

* Tue May 07 2013 Automatic Build System <autodist@mambasoft.it> 4.10.3-1mamba
- automatic version update by autodist

* Wed Apr 03 2013 Automatic Build System <autodist@mambasoft.it> 4.10.2-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- automatic version update by autodist

* Mon Feb 11 2013 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 4.9.5-1mamba
- automatic version update by autodist

* Wed Dec 05 2012 Automatic Build System <autodist@mambasoft.it> 4.9.4-1mamba
- automatic version update by autodist

* Wed Nov 07 2012 Automatic Build System <autodist@mambasoft.it> 4.9.3-1mamba
- automatic version update by autodist

* Thu Oct 04 2012 Automatic Build System <autodist@mambasoft.it> 4.9.2-1mamba
- automatic version update by autodist

* Wed Sep 05 2012 Automatic Build System <autodist@mambasoft.it> 4.9.1-1mamba
- automatic version update by autodist

* Thu Aug 09 2012 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Tue Jun 12 2012 Automatic Build System <autodist@mambasoft.it> 4.8.4-1mamba
- automatic version update by autodist

* Tue May 29 2012 Davide Madrisan <davide.madrisan@gmail.com> 4.8.3-2mamba
- obsolete libkactivities and libkactivities-devel

* Sun May 27 2012 Davide Madrisan <davide.madrisan@gmail.com> 4.8.3-1mamba
- package created by autospec
